> For the complete documentation index, see [llms.txt](https://developer.usemultiplier.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.usemultiplier.com/rest-api-guides/webhook-integration-guide.md).

# Webhook Integration Guide

Webhooks allow your application to receive real-time notifications when specific events occur in the Multiplier ecosystem, eliminating the need for constant polling.

### How it Works

1. **Configure URL**: Provide your HTTPS endpoint to the Multiplier team.
2. **Signed Payloads**: For security, Multiplier signs every webhook payload using a private key. You will receive a **JWS (JSON Web Signature)** string.
3. **Verification**: You must verify the signature using the Multiplier Public Key Set (JWKS).

### Supported Events:

#### EMPLOYEE\_CREATED

This event fires when an employee’s contract is created.

**Sample Data Payload:**

```json
{
  "eventType": "EMPLOYEE_CREATED",
  "data": {
	  // common standard
    "id": "UUID",
    "customerId": "UUID",
    "employeeId": "string",
    "status": "ONBOARDING", // Possible values: ONBOARDING, ACTIVE, OFFBOARDING, ENDED, DELETED
    "type": "EMPLOYEE", // Options: "EMPLOYEE", "HR_MEMBER", "FREELANCER", "CONTRACTOR"
  },
  "timestamp": "YYYY-MM-DDThh:mm:ss.sssZ" // ISO 8601
}
```

#### EMPLOYEE\_ACTIVATED

This event fires when an employee’s contract moves to an `ACTIVE` state.

**Sample Data Payload:**

```json
{
  "eventType": "EMPLOYEE_ACTIVATED",
  "data": {
	  // common standard
    "id": "UUID",
    "customerId": "UUID",
    "employeeId": "string",
    "status": "ACTIVE", // Possible values: ONBOARDING, ACTIVE, OFFBOARDING, ENDED, DELETED
    "type": "EMPLOYEE", // Options: "EMPLOYEE", "HR_MEMBER", "FREELANCER", "CONTRACTOR"
  },
  "timestamp": "YYYY-MM-DDThh:mm:ss.sssZ" // ISO 8601
}
```

#### EMPLOYEE\_UPDATED

This event fire when an employee's contract data updated.

**Sample Data Payload:**

```json
{
  "eventType": "EMPLOYEE_UPDATED",
  "data": {
	  // common standard
    "id": "UUID",
    "customerId": "UUID",
    "employeeId": "string",
    "status": "ACTIVE", // Possible values: ONBOARDING, ACTIVE, OFFBOARDING, ENDED, DELETED
    "type": "EMPLOYEE", // Options: "EMPLOYEE", "HR_MEMBER", "FREELANCER", "CONTRACTOR"
    // details
    "updateType": "PERSONAL_DETAILS", // Options: PERSONAL_DETAILS, ADDRESS_DETAILS, CONTACT_DETAILS, BANK_DETAILS, COMPENSATION_DETAILS, EDUCATION_DETAILS, EMPLOYMENT_DETAILS
  },
  "timestamp": "YYYY-MM-DDThh:mm:ss.sssZ" // ISO 8601
}
```

#### EMPLOYEE\_DEACTIVATED

This event fires when an employee’s contract moves to an `ENDED` state.

**Sample Data Payload:**

```json
{
  "eventType": "EMPLOYEE_DEACTIVATED",
  "data": {
	  // common standard
    "id": "UUID",
    "customerId": "UUID",
    "employeeId": "string",
    "status": "ENDED", // Possible values: ONBOARDING, ACTIVE, OFFBOARDING, ENDED, DELETED
    "type": "EMPLOYEE", // Options: "EMPLOYEE", "HR_MEMBER", "FREELANCER", "CONTRACTOR"
  },
  "timestamp": "YYYY-MM-DDThh:mm:ss.sssZ" // ISO 8601
}
```

#### EMPLOYEE\_DELETED

This event fires when an employee’s contract being deleted.

**Sample Data Payload:**

```json
{
  "eventType": "EMPLOYEE_DELETED",
  "data": {
	  // common standard
    "id": "UUID",
    "customerId": "UUID",
    "employeeId": "string",
    "status": "DELETED", // Possible values: ONBOARDING, ACTIVE, OFFBOARDING, ENDED, DELETED
    "type": "EMPLOYEE", // Options: "EMPLOYEE", "HR_MEMBER", "FREELANCER", "CONTRACTOR"
  },
  "timestamp": "YYYY-MM-DDThh:mm:ss.sssZ" // ISO 8601
}
```

#### (deprecated) CONTRACT\_CREATED

This event fires when an employee’s contract moves to an `ACTIVE` state.

**Sample Data Payload:**

```json
{
  "eventType": "CONTRACT_CREATED",
  "data": {
    "contractId": "019a0ad5-75d5-78d7-ad93-0ebb55da0eb6",
    "customerId": "018e3f7a-2b1c-7d8e-4f5a-6c7b8d9e0f1a",
    "status": "ACTIVE",
    "type": "EMPLOYEE",
    "country": "USA"
  }
}
```

#### (deprecated) CONTRACT\_ACTIVATED

This event fires when an employee’s contract moves to an `ACTIVE` state.

**Sample Data Payload:**

```json
{
  "eventType": "CONTRACT_ACTIVATED",
  "data": {
    "contractId": "019a0ad5-75d5-78d7-ad93-0ebb55da0eb6",
    "customerId": "018e3f7a-2b1c-7d8e-4f5a-6c7b8d9e0f1a",
    "status": "ACTIVE",
    "type": "EMPLOYEE",
    "country": "USA"
  }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.usemultiplier.com/rest-api-guides/webhook-integration-guide.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
